@import "./variables.scss";

@mixin mobile-max {
  @media (max-width: #{$screen-mobile}) {
    @content;
  }
}

@mixin xs-max {
  @media (max-width: #{$screen-xs-max}) {
    @content;
  }
}

@mixin sm-min {
  @media (min-width: #{$screen-sm-min}) {
    @content;
  }
}

@mixin sm-max {
  @media (max-width: #{$screen-sm-max}) {
    @content;
  }
}

@mixin md-min {
  @media (min-width: #{$screen-md-min}) {
    @content;
  }
}

@mixin blue-button {
  background-color: $blue;
  text-align: center;
  box-shadow: none;
  border: 1px solid $blue;
  border-radius: 2px;
  padding: 7px 20px;
  min-width: 153px;
  color: white;
  cursor: pointer;
  &:hover {
    border: 1px solid $grey;
    background-color: white;
    color: $grey;
    text-shadow: none;
  }
}

@mixin white-button {
  background: none;
  color: $grey;
  border: none;
  text-shadow: none;
  box-shadow: none;
  margin-right: 20px;
  cursor: pointer;
  &:hover {
    background-color: $blue;
    color: white;
  }
}

@mixin blue-button-outlined {
  color: $blue;
  margin: 0;
  padding: 0;
  cursor: pointer;
  &:hover {
    color: $grey;
    background: none;
  }
}

@mixin grey-button-outlined {
  color: $grey;
  margin: 0;
  padding: 0;
  cursor: pointer;
  &:hover {
    color: $blue;
    background: none;
  }
}
